(defvar *comm286-publish-directory*
  "/ssh:swflint@kernighan.flintfam.org:/var/www/samflint.com/comm286/")

(define-org-publish-project "comm286-content"
  :base-directory "~/School/comm286/"
  :publishing-directory *comm286-publish-directory*
  :base-extension "org"
  :recursive t
  :publishing-function 'org-html-publish-to-html
  :section-numbers nil
  :html-head "<link rel=\"stylesheet\" type=\"text/css\" href=\"http://samflint.com/style/htmlize.css\"/>
<link rel=\"stylesheet\" type=\"text/css\" href=\"http://samflint.com/style/style.css\"/>")

(define-org-publish-project "comm286-attach"
  :base-directory "~/School/comm286/"
  :recursive t
  :publishing-directory *comm286-publish-directory*
  :base-extension (rx (or "docx" "pdf"))
  :publishing-function 'org-publish-attachment)

(define-org-publish-project "comm286"
  :base-directory "~/School/comm286/"
  :publishing-directory *comm286-publish-directory*
  :components '("comm286-content" "comm286-attach"))
